@font-face {
  font-family: "Anevir Lt Std Regular";
  src: url("/assets/fonts/avenir/Avenir LT Std 35 Light.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Optima";
  src: url("/assets/fonts/optima/OPTIMA.TTF") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "OptimaBold";
  src: url("/assets/fonts/optima/OPTIMA_Bold.TTF") format("truetype");
}

@font-face {
  font-family: "OptimaMedium";
  src: url("/assets/fonts/optima/Optima_Medium.ttf") format("truetype");
}

:root {
  --color-primary: #a71b51;
  --color-primary-light: #fdf2f8;
  --color-secondary: #2d2d2d;
  --color-tertiary: #667085;
  --color-white-100: #b0afaf;
  --color-black-100: #1e1e1e;
  --color-black-200: #3b3c4a;

  --bg-secondary: #fef6f9;

  --font-title-regular: "Optima", sans-serif;
  --font-title-bold: "OptimaBold", sans-serif;
  --font-title-semibold: "OptimaMedium", sans-serif;
  --font-description-regular: "Anevir Lt Std Regular", sans-serif;

  --section-padding: 80px;
}

@media screen and (max-width: 990px) {
  :root {
    --section-padding: 50px;
  }
}

@media screen and (max-width: 767px) {
  :root {
    --section-padding: 35px;
  }
}

p {
  color: var(--color-tertiary);
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5rem;
  margin-bottom: 0 !important;
}

@media screen and (max-width: 767px) {
  p {
    font-size: 14px;
    line-height: 20px;
  }
}

.colorPrimary {
  color: var(--color-primary);
}

.colorSecondary {
  color: var(--color-secondary);
}

.wrapper {
  max-width: 1440px;
  margin: 0 auto;
}

.bg-theme-primary {
  background: var(--color-primary);
}

.mainButton {
  background-color: var(--color-primary);
  padding: 10px 20px;
  border-radius: 8px;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.25rem;
  min-width: 120px;
  min-height: 40px;
  margin-top: 20px;
  color: white;
  text-align: center;
  cursor: pointer;
  border: 1px solid var(--color-primary);
}

.mainButton:hover {
  background-color: transparent;
  color: var(--color-primary);
}

.introText {
  color: var(--color-primary);
  font-family: var(--font-title-semibold);
  font-size: 0.75rem;
  line-height: normal;
  text-transform: uppercase;
  letter-spacing: 0.5px;
}

@media (min-width: 1200px) {
  .imageContainer {
    min-height: 460px;
    max-height: 520px;
    width: auto;
  }
}

.sectionDetails .mainHeading {
  margin-top: 6px;
  font-family: var(--font-title-regular);
  font-weight: 400;
  font-size: 1.5rem;
  line-height: 1.75rem;
}

.mainHeading.mainHeadingPrimary {
  color: var(--color-primary);
}

.sectionDetails .sideHeading {
  font-family: var(--font-description-regular);
  color: var(--color-secondary);
  font-weight: 400;
  font-size: 1.25rem;
  line-height: 1.5rem;
}

@media screen and (max-width: 991px) {
  .sectionDetails .mainHeading {
    font-size: 20px;
    line-height: 24px;
  }
}

.about-us .sectionDetails .mainHeading {
  line-height: 32px !important;
}

.sectionDetails p {
  margin-top: 10px;
  font-family: var(--font-description-regular);
}

@media (min-width: 990px) {
  .sparkleSectionMain .sparkleMainImg,
  .sparkleSectionMain .sectionDetails:first-child p {
    width: 86%;
  }
  .sparkleSectionMain .sparkleMainImg img {
    height: 420px;
  }
}

@media (min-width: 1300px) {
  .sparkleSectionMain .sparkleMainImg,
  .sparkleSectionMain .sectionDetails:first-child p {
    width: 88%;
  }
  .sparkleSectionMain .sparkleMainImg img {
    height: 420px;
  }
}

.sparkleSectionMain .sparkleMainImg figure {
  border-radius: 4px;
}

.container {
  max-width: 1110px;
  padding: 0 15px;
  margin: 0 auto;
  width: 100%;
}

@media (min-width: 1550px) {
  .residential-swiper-section .container {
    max-width: 1440px;
  }

  .residential-swiper-section .swiper-buttons {
    gap: 36px !important;
  }
}

@media screen and (max-width: 767px) {
  .container {
    max-width: 100%;
    padding: 0 20px;
  }
}

.section-padding {
  padding: var(--section-padding) 0;
}

.section-padding-content {
  padding: 50px 0;
}

@media (max-width: 768px) {
  .section-padding-content {
    padding: 35px 0;
  }
}

/* @media (min-width: 768px) {
  .section-padding-content img {
    width: 520px;
  }
} */

.bgLight {
  background-color: var(--bg-secondary) !important;
}

/* Banner CSS */
.banner-text {
  position: absolute;
  top: 75%;
  left: 50%;
  width: 100%;
  transform: translate(-50%, -75%);
  color: white;
  font-weight: 400;
  text-align: center;
  z-index: 10;
  opacity: 0;
  animation: slideInUp 1.8s ease-in-out 1.6s forwards;
  font-family: "Optima", sans-serif;
  font-size: 28px;
  line-height: 35px;
  width: 70%;
}

@media (min-width: 768px) {
  .banner-text {
    font-size: 50px;
    line-height: 70px;
  }
}

#unmute-btn-hidden img {
  width: 40px;
  height: 40px;
}

#unmute-btn-hidden {
  background: transparent;
  border: 0;
}

.fit-content {
  width: fit-content;
}

.submenu-large {
  display: grid;
  grid-template-columns: 1fr 1.1fr;
  max-width: 1200px;
}

.submenu-item {
  width: 64px;
}

@media (min-width: 980px) and (max-width: 1198px) {
  /* #residentialDropdown ul {
    margin-left: 16px !important;
  } */
  #commercialDropdown ul {
    padding-inline-start: 25px !important;
  }
}

/* @media (min-width: 1024px) { */
/* .banner-text { */
/* width: 50%; */
/* } */
/* } */

/* Protfolio Section */
.protfolio-row-cards .card {
  width: 100%;
}
.protfolio-row-cards .card p {
  color: white;
}

.protfolio-row-cards .card p:nth-child(2) {
  font-size: 14px;
}

.protfolio-card .card-body.sectionDetails p {
  color: var(--color-secondary);
  font-size: 12px;
  margin-top: 4px;
  width: fit-content;
  font-weight: 600;
  padding-inline-end: 16px;
  line-height: 16px;
}

@media (max-width: 480px) {
  .protfolio-card img {
    height: 300px !important;
  }
}

.protfolio-card .card-body.sectionDetails p:last-child {
  padding-inline-end: 0;
  padding-inline-start: 16px;
}

.protfolio-card .card-body.sectionDetails p:first-child {
  /* border-right: 1px solid var(--color-secondary); */
}

@media (max-width: 430px) {
  .protfolio-card.card {
    padding-block-end: 0;
  }
}
@media (min-width: 768px) {
  .protfolio-card.card {
    border: 0;
  }
  .protfolio-row-cards .protfolio-card:hover::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    transition: background 0.5s ease-in-out;
    background: linear-gradient(to top, #000000 0%, rgba(0, 0, 0, 0) 50%);
    z-index: 10;
  }

  .protfolio-row-cards .protfolio-card {
    border-radius: 4px;
  }

  .protfolio-row-cards .protfolio-card figure {
    transition: transform 0.3s ease, filter 0.3s ease;
  }

  .protfolio-row-cards .protfolio-card:hover figure {
    transform: scale(1.1);
    filter: brightness(1.1);
  }
}

.protfolio-row-cards .protfolio-card {
  overflow: hidden;
  cursor: default;
}

.protfolio-row-cards .protfolio-card .card {
  width: fit-content;
  height: fit-content;
}

.protfolio-row-cards .protfolio-card .card {
  position: absolute;
  bottom: -100%;
  left: 50%;
  transform: translateX(-50%);
  padding: 10px 14px;
  background-color: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(-10px);
  border-radius: 10px;
  border: 0;
  opacity: 0;
  z-index: 10;
  transition: bottom 0.5s ease-in-out;
}

.protfolio-row-cards .protfolio-card:hover .card {
  opacity: 1;
  bottom: 15%;
  transition: bottom 0.5s ease;
}

.protfolio-card .card .card-text-1 {
  font-size: 18px;
}

.protfolio-card .card .card-text-2 {
  font-size: 12px;
}

.protfolio-card img {
  object-fit: cover;
}
.protfolio-card img,
.protfolio-card figure {
  height: 100%;
}

@media (max-width: 996px) {
  .protfolio-row-cards .protfolio-card .card {
    /* top: 55%; */
    padding: 8px 6px;
  }

  .protfolio-card .card .card-text-1 {
    font-size: 14px;
  }

  .protfolio-card .card .card-text-2 {
    font-size: 10px;
  }
}

/* Testimonials Section */
.testimonialsSection .swiper-slide .card {
  height: 100%;
}

.testimonialsSection .swiper-slide .card img {
  height: 100% !important;
}

.testimonialsSection .swiper-slide .card img + .card-img-overlay {
  color: var(--text-color1);
}

.testimonialsSection .date-content {
  line-height: 14px;
  margin-top: 4px !important;
}

@media (max-width: 1399px) {
  .testimonialsSection {
    margin-top: 0px;
  }
}

/* Featured Section */
.featureTextMuted {
  color: var(--color-white-100);
}

.featuredFontMedium {
  font-size: 18px;
}

@media (max-width: 600px) {
  .featuredFontMedium {
    font-size: 0.875rem;
    /* width: 80%;
    text-wrap: wrap; */
  }
}

.featuredTitle {
  font-family: var(--font-title-regular);
}

/* Footer CSS */
.footerLogoSection {
  margin-top: -15px;
}

.banner .banner-area::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  background: linear-gradient(
    360deg,
    #000000 -21.75%,
    rgba(0, 0, 0, 0.545) 51.03%,
    rgba(0, 0, 0, 0) 118.22%
  );
}

.sparkleMainSec .banner.banner-area .banner-text {
  top: 90%;
  width: 100%;
}

.overview-page.sparkleMainSec .banner.banner-area .banner-text {
  top: 80%;
}

.sparkleMainSec .banner.banner-area .bannnerHeading {
  font-size: 30px;
  line-height: 36px;
}

.btn.enquireBtn:active {
  background-color: transparent !important;
  border-color: var(--color-primary) !important;
}

@media (max-width: 480px) {
  .overview-page.sparkleMainSec .banner.banner-area .banner-text {
    top: 76%;
  }

  .sparkleMainSec .banner.banner-area .banner-text {
    top: 70%;
    /* transform: translateX(-50%);
    transform: translateY(-70%); */
  }

  .btn.enquireBtn {
    font-size: 14px;
    width: 150px;
  }

  .sparkleMainSec .banner.banner-area .bannnerHeading {
    font-size: 24px;
    line-height: 30px;
  }
}

.sparkleSectionMain img {
  object-fit: cover;
  background-repeat: no-repeat;
}

.brand__item .brandTileInfo {
  color: var(--color-secondary);
  font-size: 14px;
  line-height: 1.5rem;
  margin-top: 6px;
  text-transform: capitalize;
}

#floorPlanNav a {
  font-family: var(--font-title-regular);
}

.counterPill {
  background-color: var(--bg-secondary);
  border-radius: 100%;
  width: 20px;
  height: 20px;
  color: var(--color-primary) !important;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
}

.conterTag {
  color: var(--color-secondary);
}

.containerFullWidth {
  width: 1080px;
}

.residential-gallery-swiper .swiper-slide {
  height: 350px;
  width: 250px;
}

@media (max-width: 460px) {
  .residential-gallery-swiper.nova-gallery .swiper-slide {
    height: unset;
  }
}

.residential-gallery-swiper .swiper-slide img {
  height: inherit;
  object-fit: cover;
  border-radius: 20px;
}

@media (max-width: 430px) {
  .sports-swiper .swiper-slide,
  .residential-gallery-swiper .swiper-slide {
    padding-inline: 10px;
  }
}

.imageMain.founderImage img {
  max-height: 465px;
  object-position: top;
}

/* To Do: Founder Image */
@media (max-width: 430px) {
  .imageMain.founderImage img {
    width: 353px;
  }
}

#floorPlanTabContent p {
  color: var(--color-secondary);
}

#floorPlanNavMain.nav {
  justify-content: end;
  gap: 32px;
}

#floorPlanNavMain.nav .nav-item {
  width: fit-content;
  min-width: unset;
}

.project-overview
  #floorPlanNavMain.nav-tabs
  .nav-item
  .nav-link.active
  p:last-child {
  padding-bottom: 4px;
  border-bottom: 3px solid var(--color-primary);
}

.atmos-details
  .project-overview
  #floorPlanNavMain.nav-tabs
  .nav-item
  .nav-link.active
  p:first-child {
  padding-bottom: 4px;
  border-bottom: 3px solid var(--color-primary);
}

#floorPlanNavMain.nav-tabs .nav-item .nav-link p {
  line-height: 18px;
  font-weight: 600 !important;
}

.master-info-card,
.planDetails {
  gap: 14px;
}

.planDetails > div {
  font-size: 14px;
  line-height: 1.5rem;
}

/* .masterPlanSec .nav .nav-item {
  min-width: 110px;
  padding-inline-end: 4px;
} */

.banner-fixed .banner-text {
  width: 1080px;
  transform: translateX(-50%);
}

@media (max-width: 430px) {
  .banner-fixed .banner-text {
    top: 85%;
  }
}

@media (max-width: 1200px) {
  .banner-fixed .banner-text {
    left: 0;
    transform: translateX(25px);
    width: 100%;
  }

  .overview-page .banner-fixed .banner-text {
    transform: translateX(10px);
  }
}

.sports-services-listing .sports-cards .sports-pill {
  font-size: 16px;
  padding: 12px 24px;
  font-family: var(--font-description-regular);
  font-weight: 600;
  color: var(--color-primary);
}

.sports-services-listing .sports-cards .sports-text {
  font-family: var(--font-description-regular);
}

.sports-services-listing .sports-cards .card {
  border: 0;
}

.sports-services-listing .sports-cards .card img {
  object-position: center;
}

.sports-services-listing .sports-cards .card:first-child img {
  object-position: right;
}

.entertainment-details .banner-text {
  top: 50%;
  width: 50%;
  transform: translate(-50%, -50%);
}

@media (max-width: 1024px) {
  .entertainment-details .banner-text {
    width: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

@media (max-width: 768px) {
  .entertainment-details .banner-text {
    line-height: 40px;
    width: 100%;
  }
}

/* .entertainment-details .swiper-buttons {
  left: 50%;
  transform: translateX(-50%);
} */

.entertainment-details .entertainment-project-highlights .swiper-button-next {
  right: -90px;
}

.entertainment-details .entertainment-project-highlights .swiper-button-prev {
  left: -90px;
}

.entertainment-cards .card:nth-child(7) img {
  object-position: left;
}

.entertainment-cards img {
  object-fit: cover;
  object-position: top;
  transition: transform 0.5s ease-in-out, filter 0.5s ease-in-out;
}

.entertainment-cards .card:hover img {
  transform: scale(1.1) !important;
  filter: brightness(1.1) !important;
}

.entertainment-project-highlights .swiper-slide {
  height: min(85vh, 468px);
}

.entertainment-project-highlights .swiper-slide div {
  border-radius: 20px;
}

.entertainment-project-highlights .swiper-slide img {
  height: inherit;
  object-fit: cover;
  object-position: top;
}

.entertainment-project-highlights .swiper-button-next,
.entertainment-project-highlights .swiper-button-prev {
  cursor: pointer;
}

.entertainment-project-highlights .swiper-button-next.swiper-button-disabled,
.entertainment-project-highlights .swiper-button-prev.swiper-button-disabled {
  background-color: var(--color-primary);
  pointer-events: all;
}

.entertainment-project-highlights .swiper-swapper {
  align-items: end;
}

.entertainment-project-highlights .swiper-slide {
  position: relative;
  padding-left: 0px;
}

.entertainment-project-highlights .swiper-slide img {
  position: absolute;
  bottom: 0;
}

@media (max-width: 768px) {
  .entertainment-project-highlights .swiper {
    overflow: hidden !important;
  }
}

.entertainment-project-highlights .swiper-slide:not(.swiper-slide-active) img {
  height: min(75vh, 413px);
}

@media (max-width: 768px) {
  .entertainment-project-highlights .swiper-slide {
    height: 400px;
  }
  .entertainment-project-highlights
    .swiper-slide:not(.swiper-slide-active)
    img {
    height: 400px;
  }
}

/* .project-overview.overview-page .project img {
  height: 350px;
} */

.sports-overview-overlay::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0.3) 0%,
    rgba(0, 0, 0, 0.6) 100%
  );
  z-index: 1;
  width: 100%;
  height: 100%;
}

@media (min-width: 1280px) {
  .overview-page .banner-text .bannnerHeading {
    width: 60%;
  }
}

.contact-us-cover::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  background: linear-gradient(360deg, #000000 0%, rgba(0, 0, 0, 0) 80%);
  z-index: 2;
}

.about-us .brands .mainHeading {
  line-height: 2.2rem;
}

.swiper-button-nxt-legacy.disable-swiper,
.swiper-button-prv-legacy.disable-swiper {
  pointer-events: none;
}

.swiper-button-nxt-legacy.disable-swiper .disabled_icon-left {
  display: inline-block !important;
}
.swiper-button-nxt-legacy.disable-swiper .enabled-icon-left {
  display: none !important;
}

.swiper-button-nxt-legacy:not(.disable-swiper) .enabled-icon-left {
  display: inline-block !important;
}

.swiper-button-prv-legacy.disable-swiper .disabled_icon-right {
  display: inline-block !important;
}
.swiper-button-prv-legacy.disable-swiper .enabled-icon-right {
  display: none !important;
}

.swiper-button-prv-legacy:not(.disable-swiper) .enabled-icon-right {
  display: inline-block !important;
}

.legacy-swiper.swiper {
  margin: 0 auto;
  margin-top: 20px;
  padding-block: 10px !important;
}

.legacy-swiper .swiper-slide {
  align-self: center;
  padding-inline: 0 !important;
}

.legacy-swiper .swiper-slide img {
  padding-block: 10px;
  background-color: white;
  border: 1px solid #a51f5233 !important;
  border-radius: 12px;
  box-shadow: 0px 2px 8px 2px #0000001a;
}

.legacy-swiper .swiper-slide-active + .swiper-slide {
  height: 350px !important;
}

@media (min-width: 768px) and (max-width: 991px) {
  .legacy-swiper .swiper-slide-active + .swiper-slide {
    height: 280px !important;
  }

  .legacy-swiper .swiper-slide-active {
    height: 350px !important;
  }
}

.legacy-swiper.swiper.active {
  /* cursor: grabbing;
  cursor: -webkit-grabbing; */
}

.legacy-swiper .swiper-slide {
  padding-inline: 10px;
  /* height: 350px; */
  height: 280px;
  width: 500px;
  justify-content: center;
  display: flex;
  position: relative;
  z-index: 10;
  /* cursor: url("/assets/images/icon/grabbing.svg"), grab;
  cursor: url("/assets/images/icon/grabbing.svg"), -webkit-grab; */
}

@media (max-width: 360px) {
  .legacy-swiper .swiper-slide {
    height: 335px;
  }
}

@media (min-width: 430px) and (max-width: 600px) {
  .legacy-swiper .swiper-slide {
    height: 380px;
  }
}

/* .legacy-swiper .swiper-slide::before {
  cursor: url("/assets/images/icon/grabbing.svg"), grabbing;
  cursor: url("/assets/images/icon/grabbing.svg"), -webkit-grabbing;
  position: absolute;
  width: 300px;
  height: 300px;
  z-index: 10;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
} */

.legacy-swiper .swiper-slide picture,
.legacy-swiper .swiper-slide picture img {
  height: inherit;
  object-fit: unset !important;
}

.sectionInfo img {
  min-height: 450px !important;
  object-fit: cover;
}

@media (max-width: 430px) {
  .sectionInfo img {
    min-height: auto !important;
  }
}

.featured-section-swiper img {
  margin-top: 6px;
  cursor: pointer;
}

.featured-section-swiper .swiper-slide.swiper-slide-active img {
  margin-left: 6px;
}

.featured-section-swiper img:hover {
  transform: scale(1.2);
  transition: transform 0.5 ease-in-out;
}

.protfolio-cards .protfolio-row-cards,
.protfolio-cards {
  gap: 20px !important;
}

/* @media (max-width: 480px) {
  .protfolio-cards .protfolio-row-cards,
  .protfolio-cards {
    gap: 32px !important;
  }
} */

@media (min-width: 1080px) and (max-width: 1320px) {
  .protfolio-cards .protfolio-row-cards:nth-child(2) > .card {
    height: 440px;
  }

  .protfolio-cards .protfolio-row-cards:nth-child(2) > .card figure {
    height: 100%;
    width: 100%;
  }

  .protfolio-cards .protfolio-row-cards:nth-child(2) > .card img {
    width: 100%;
    height: 100%;
    /* background-position: 100% 100%;
    object-fit: unset !important; */
  }
}

footer a,
footer p {
  font-size: 14px !important;
}

.legal-and-compliance ul li {
  color: var(--color-secondary);
  font-size: 16px;
}

.legal-and-compliance .infoCollected ul li.unstyled {
  list-style-type: none;
}

.legal-grid {
  display: grid;
  grid-template-columns: 20px 1fr;
  gap: 8px;
  color: var(--color-secondary);
}

.legal-grid.grid-title p:first-child {
  text-align: end;
}

.legal-grid.grid-title p {
  font-weight: 600 !important;
  font-size: 16px;
  font-family: var(--font-title-regular);
}

.legal-grid.grid-info-list li,
.legal-grid.grid-info-list strong {
  font-size: 14px;
}

.legal-grid .grid-sub-list {
  display: grid;
  grid-template-columns: 20px 1fr;
}

.legal-grid .grid-sub-list ul li {
  list-style-type: disc;
}

.addressInfo p {
  margin-top: 4px;
}

#legal-and-compliance p {
  margin-top: 5px;
}

/* .main-menu {
  justify-content: flex-end !important;
  gap: 0px !important;
} */

@media (min-width: 1024px) {
  .overviewImage {
    height: 350px !important;
  }
}

@media (max-width: 991px) {
  .overviewImage {
    height: 290px !important;
  }
}

.projectsInfo p {
  font-family: var(--font-title-regular) !important;
}

.object-position-bottom {
  object-position: bottom;
}

.projectsInfo .projectsInfoTitle {
  font-size: 30px;
  color: var(--color-black-100);
}

.projectsInfo .projectsInfoHeading {
  font-size: 16px;
}

.projectsInfo .projectsInfoLink {
  font-weight: 550;
}

.legacy-swiper-controls.swiper.swiper-one {
  min-height: unset;
}

.legacy-swiper-controls .swiper-slide {
  text-align: center;
}

.legacy-swiper-controls.swiper .swiper-slide .legacy-year {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  background: linear-gradient(180deg, #fce7f3 0%, #fdf2f8 100%);
  width: 35px;
  height: 35px;
  border-radius: 50%;
  position: relative;
  /* transition: all 0.3s ease-in-out; */
}

.legacy-swiper-controls.swiper
  .swiper-slide:not(.swiper-slide-next):not(.swiper-slide-prev):not(
    .swiper-slide-active
  )
  .legacy-year::before {
  position: absolute;
  top: 0;
  left: 0;
  content: " ";
  background: linear-gradient(180deg, #fce7f3 0%, #fdf2f8 100%);
  width: 100%;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  height: 100%;
}

.legacy-swiper-controls.swiper .swiper-slide-next .legacy-year,
.legacy-swiper-controls.swiper .swiper-slide-prev .legacy-year {
  color: black;
  width: 65px;
  height: 65px;
}

.legacy-swiper-controls.swiper .swiper-slide-active .legacy-year {
  width: 80px;
  height: 80px;
  background: var(--color-primary);
  font-weight: 600;
  font-size: 16px;
  color: var(--white);
}

.legacy-container .swiper-buttons {
  height: 100%;
}

.legacy-container .swiper-buttons .swiper-button-nxt,
.legacy-container .swiper-buttons .swiper-button-prv {
  display: flex;
  justify-content: center;
  align-items: center;
}

.legacy-container .swiper-buttons .swiper-button-nxt:hover,
.legacy-container .swiper-buttons .swiper-button-prv:hover {
  background-color: transparent !important;
  border-radius: unset !important;
}

@media (max-width: 625px) {
  .legacy-swiper-controls.swiper .swiper-slide-active .legacy-year {
    width: 60px;
    height: 60px;
  }
  .legacy-swiper-controls.swiper .swiper-slide-next .legacy-year,
  .legacy-swiper-controls.swiper .swiper-slide-prev .legacy-year {
    width: 45px;
    height: 45px;
  }

  .legacy-years-container .legacy-swiper-controls {
    margin-left: 40px;
  }
}

@media (min-width: 768px) {
  .legacy-years-container {
    padding-left: 40px;
  }

  .legacy-years-container .legacy-swiper-controls {
    width: calc(100% - 130px);
    margin-inline: auto;
  }
}

.legacy-line-outer {
  width: 100% !important;
  height: 80px;
  padding-right: 30px;
}

.legacy-line-inner {
  width: 770px;
  height: 0;
  border-top: 1px solid black;
}

@media (max-width: 1278px) {
  .legacy-line-outer {
    padding-right: 35px;
  }
  .legacy-line-inner {
    width: 659px;
  }
}

@media (max-width: 1020px) {
  .legacy-line-outer {
    padding-right: 30px;
  }
  .legacy-line-inner {
    width: 455px;
  }
}

@media (max-width: 767px) {
  .legacy-line-inner {
    width: calc(100% - 135px);
  }
}

@media (max-width: 625px) {
  .legacy-line-outer {
    padding-right: 20px;
  }
  .legacy-line-outer {
    width: 100% !important;
    height: 60px;
  }
}

/* Blogs css */

.blog-description-info > p,
.blog-description-info > strong,
.blog-description-info ul.custom-blog-list li {
  color: var(--color-black-200);
  font-size: 18px;
  line-height: 24px;
}

.blog-description-info hr {
  margin-block: 4px;
  border: 1px solid black;
}

.blog-description-info .custom-blog-list li {
  list-style-type: disc;
  list-style-position: inside;
  padding-left: 30px;
  text-indent: -25px;
}

.blog-description-info > h3 {
  margin-top: 20px;
}

.blog-description-info hr ~ h3 {
  margin-top: 0;
}

.blog-description-info .custom-blog-link {
  color: blue !important;
  text-decoration: underline;
  font-size: 18px;
  line-height: 24px;
}

.blog-description-info .custom-blog-link:hover {
  color: var(--color-primary) !important;
}

.blog-list-swiper img {
  object-fit: cover;
}

.blog-description-link {
  font-size: 14px;
}

.fa-map-marker-alt:before,
.fa-envelope:before {
  font-size: 14px;
}

.bi-facebook::before,
.bi-instagram::before,
.bi-twitter::before,
.bi-youtube::before {
  font-size: 16px;
}

.bi-youtube::before {
  font-size: 17px;
  height: 17px;
}

.blog-pill {
  font-size: 14px !important;
}

.project-overview .sparkleTabsContainer {
  background: var(--color-primary-light) !important;
  position: sticky;
  top: 0;
}

@media (min-width: 991px) {
  .project-overview .sparkleTabsContainer .sparkleTabs {
    /* max-width: 1160px; */
  }
}

.project-overview .sparkleTabsContainer .sparkleTabs {
  /* margin: 0 auto; */
}

.project-overview .sparkleTabsContainer .sparkleTabs.nav.nav-tabs {
  backdrop-filter: unset;
  background: inherit !important;
  box-shadow: none;
  font-weight: 550;
  color: var(--color-secondary);
  font-family: var(--font-title-semibold);
}

.project-overview .legalTabs .sparkleTabs.nav.nav-tabs .nav-link.active {
  color: var(--white);
  background: var(--color-primary);
}

.project-overview .nav-item.active {
  background: var(--color-primary);
}

.project-overview .nav-item:hover a {
  color: var(--color-primary);
}

.project-overview .nav-item.active a {
  color: var(--white);
}

.contact-us-map iframe {
  max-height: 500px;
}

.animation-preloader img.animated {
  /* animation: pulse 2s infinite;
  transition: all 2s infinite; */
}

.pre-loader-loading {
  animation: flash 4s infinite;
  transition: all 4s infinite;
}

@media (max-width: 991px) {
  .imageFitVista {
    min-height: 322px;
  }
}

.logo img {
  width: 110px;
  height: 55px;
  object-fit: contain;
}

@media (min-width: 1200px) {
  .logo img {
    height: 75px;
  }
}

@media (max-width: 768px) {
  .logo img {
    height: 55px;
  }
}

@media (min-width: 991px) {
  .sectionMainLeft {
    width: 85%;
  }

  .sectionMainRight {
    width: 90%;
  }
}

.video-banner {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.video-container {
  width: 100%;
  height: 100vh;
}

video {
  height: 100vh;
  width: 100%;
  object-fit: fill;
}

.video-container + .container {
  top: 80% !important;
}

@media (max-width: 768px) {
  video {
    height: 100%;
  }
  .video-container + .container {
    top: 60% !important;
  }
}

.header-invert .main-menu li a {
  color: black !important;
}

.header-invert .logo-invert {
  display: inline-block;
}

.header-invert .logo-main {
  display: none;
}

.header-invert.invert .main-menu li a {
  color: white !important;
}

.header-invert.invert .logo-main {
  display: inline-block !important;
}

.header-invert.invert .logo-invert {
  display: none !important;
}

@media (min-width: 1200px) {
  .imageMain {
    align-self: flex-end;
  }
  .imageMain img {
    height: min(80vh, 450px);
    width: 100%;
  }

  .contentCenteredMain {
    width: 50%;
  }

  /* .sectionContentMain {
    width: 55%;
  } */
}

.entertainment-cards .cardTag {
  font-family: var(--font-title);
}

.pageNotFoundInfo {
  min-height: 10vh;
}

.pageNotFoundInfo .errorCode {
  font-size: 4.37rem;
  line-height: 5.7rem;
}

.pageNotFoundSection {
  height: 70px;
  width: 100%;
}

.bannerContentImage {
  max-height: 120vh;
  object-fit: cover;
  object-position: bottom;
}

@media (max-width: 768px) {
  .bannerContentImage {
    max-height: 400px;
  }
}

.plan-pills-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  row-gap: 5px;
}

.plan-pills-grid.grid-5 {
  grid-template-columns: repeat(5, 1fr);
}

.header-down-icon {
  height: 16px;
  width: 16px;
}

.invisible {
  visibility: hidden !important;
}

.visible {
  visibility: visible !important;
}

.dropdown-section {
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

.dropDownMenu {
  height: fit-content;
  width: 100vw;
  left: 0;
  background: rgba(31, 25, 20, 0.5);
  backdrop-filter: blur(10px);
  top: 74px;
  display: none;
  transition: all 0.8s ease-in-out;
}

#residentialDropdown ul {
  margin-left: -10px;
}

@media (min-width: 768px) and (max-width: 1199px) {
  .dropDownMenu {
    top: 54px;
  }
}

.dropDownMenu.slideInDown {
  display: block;
  /* animation: fadeInDown 0.8s ease-in-out; */
}

.dropDownMenu li a {
  font-size: 14px;
  font-family: var(--font-description-regular) !important;
  color: white;
  font-weight: 580;
}

.dropDownMenu li:first-child a {
  font-size: 14px;
}

.dropDownMenu li a:hover {
  color: var(--color-primary);
}

@media (max-width: 991px) {
  .dropDownMenu {
    display: none !important;
  }
}

.blog-profile-image {
  min-height: 230px;
}

.luxury-grid {
  display: grid;
  gap: 10px;
  grid-template-columns: repeat(2, 1fr);
}

@media (orientation: landscape) {
  .luxury-grid {
    grid-template-columns: repeat(2, 330px);
  }
}

@media (min-width: 990px) and (max-width: 1600px) {
  .luxury-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

.luxury-grid figure {
  overflow: hidden;
  border-radius: 3px;
}

.luxury-sub-grid {
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  gap: 10px;
}

.luxury-sub-grid figure,
.luxury-sub-grid figure img {
  height: 100%;
}

@media (max-width: 480px) {
  .luxury-item-left,
  .luxury-item-right {
    max-height: 393px !important;
  }
}

.home-page-blog {
  cursor: pointer;
}

@media (max-width: 480px) {
  .blog-image-main {
    max-height: 500px;
  }

  .blog-image-main img {
    object-fit: cover;
    object-position: center;
  }
}

.iframe-container {
  width: 100%;
}

iframe {
  width: 100%;
  height: 75vh;
}

@media (max-width: 768px) {
  iframe {
    height: min(75vh, 500px);
  }

  iframe.map-container {
    height: min(75vh, 400px);
  }
}

.enquireBtn:hover {
  color: var(--color-primary) !important;
  border-color: var(--color-primary);
}

.contact-us input {
  color: var(--color-secondary);
}

.sub-menu li a:hover {
  color: var(--color-primary) !important;
}

@media (min-width: 1280px) {
  .overviewRightSec {
    padding-inline-end: 0 !important;
  }
}

.bi.bi-youtube {
  fill: white;
}

.featured-section-swiper .swiper-buttons .swiper-button-nxt:hover,
.featured-section-swiper .swiper-buttons .swiper-button-prv:hover {
  background: transparent;
}

.featured-section-swiper
  .swiper-buttons
  .swiper-button-nxt.swiper-button-disabled
  .svg-icon-prv-light {
  display: inline-block !important;
}

.featured-section-swiper
  .swiper-buttons
  .swiper-button-nxt.swiper-button-disabled
  .svg-icon-prv {
  display: none !important;
}

.featured-section-swiper
  .swiper-buttons
  .swiper-button-prv.swiper-button-disabled
  .svg-icon-nxt-light {
  display: inline-block !important;
}

.featured-section-swiper
  .swiper-buttons
  .swiper-button-prv.swiper-button-disabled
  .svg-icon-nxt {
  display: none !important;
}

.featured-section-swiper .swiper-buttons .swiper-button-prv img,
.featured-section-swiper .swiper-buttons .swiper-button-nxt img {
  height: 20px !important;
  width: 20px !important;
  max-width: 20px;
  max-height: 20px;
  margin: unset;
}

.entertainment-project-highlights .swiper-buttons .swiper-button-prv .icon-nav,
.entertainment-project-highlights .swiper-buttons .swiper-button-nxt .icon-nav {
  left: 50%;
  transform: translate(-50%, -50%);
  width: 11px;
}

.entertainment-project-highlights .swiper-buttons .swiper-button-prv:hover,
.entertainment-project-highlights .swiper-buttons .swiper-button-nxt:hover {
  background-color: transparent !important;
}

.entertainment-project-highlights .swiper-buttons .swiper-button-nxt img,
.entertainment-project-highlights .swiper-buttons .swiper-button-prv img {
  height: 50px;
  width: 50px;
}

@media (max-width: 768px) {
  .entertainment-project-highlights .swiper-buttons {
    gap: 10px !important;
  }

  .entertainment-project-highlights .swiper-buttons .swiper-button-nxt,
  .entertainment-project-highlights .swiper-buttons .swiper-button-prv {
    width: fit-content;
  }
  .entertainment-project-highlights .swiper-buttons .swiper-button-nxt img,
  .entertainment-project-highlights .swiper-buttons .swiper-button-prv img {
    height: 35px;
    width: 35px;
  }
}

.residential-gallery-swiper.swiper.swiper-one {
  min-height: unset !important;
}

@media (max-width: 768px) {
  /* To Do: Recent gallery fixes */
  .residential-gallery-swiper.swiper.swiper-one .swiper-slide {
    min-height: 350px;
    max-height: 400px;
  }
  .residential-gallery-swiper.swiper.swiper-one .swiper-slide img {
    height: 100% !important;
    object-fit: cover;
  }

  .residential-gallery-swiper.sparkle-residential-gallery.swiper.swiper-one
    .swiper-slide
    img {
    width: 273px;
  }
}

@media (min-width: 1024px) {
  .residential-gallery-swiper.swiper.swiper-one .swiper-slide {
    min-height: 350x;
    max-height: 400px;
  }
  .residential-gallery-swiper.swiper.swiper-one .swiper-slide img {
    height: 100% !important;
    object-fit: cover;
  }
}

.commercial-gallery-5 {
  object-position: -193px;
}

.project__arry-prev:hover .svg-icon-prv-light-icon,
.project__arry-next:hover .svg-icon-nxt-light-icon {
  display: inline-block !important;
}

.project__arry-prev:hover .svg-icon-prv-dark-icon,
.project__arry-next:hover .svg-icon-nxt-dark-icon {
  display: none !important;
}

.footer-pin-icon,
.footer-mail-icon {
  margin-top: 4px;
}

.header-pin-icon,
.header-mail-icon {
  margin-top: 2px;
}

@media (min-width: 1024px) {
  .footer-pin-icon,
  .footer-mail-icon {
    margin-top: 6px;
  }
}

.custom-modal-size {
  max-width: 90%;
  width: auto;
}

@media (min-width: 1024px) {
  .custom-modal-size.lead-modal {
    max-width: 50% !important;
  }
}

@media (max-width: 480px) {
  .custom-modal-size {
    margin: 0 auto;
  }
}

.custom-modal-size .modal-content {
  background: transparent;
  border: none;
}

.custom-modal-size .modal-body {
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.expandImageCursor {
  cursor: zoom-in;
}

.map-expand-image {
  height: 80vh;
}

/* @media (max-width: 480px) {
  .full-width-img {
    width: 100vw;
    height: 300px;
    max-width: 617px;
    object-fit: cover;
    display: block;
    margin: 0 auto;
  }
} */
